> For the complete documentation index, see [llms.txt](https://play.docs.nexx.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://play.docs.nexx.cloud/widgets/widget-override-options.md).

# Widget Override Options

The following List reflects all Key/Value Pairs, that can be used in a **`_play.WidgetConfiguration`** Object. Many of the given Objects are also available on the Player SDK Override Options and identical in Usage and Functionality.

| Key                             | Values                                                   | Description                                                                                                                                                                                                                                                                   |
| ------------------------------- | -------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **feedUpdateInterval**          | int                                                      | The Number of Minutes, the Widget will wait to reload the Media Feed (must be larger than 30)                                                                                                                                                                                 |
| **slideUpdateInterval**         | int                                                      | The Number of Seconds between the next Image is shown (must be larger than 3)                                                                                                                                                                                                 |
| **animation\***                 | \[slideup, slidedown, slideleft, slideright, fade, zoom] | The Animation used during Image Swap.                                                                                                                                                                                                                                         |
| **scaleMode\***                 | \[width, height, fixed]                                  | overrides the ScaleMode of the Images                                                                                                                                                                                                                                         |
| **enablePreviewVideos\***       | \[**0**, 1]                                              | if set to 1, the Widget will show inline Video Previews - if they are available and the Device can handle that. The **`slideUpdateInterval`** Setting will be ignored in this Case.                                                                                           |
| **adjustContainerDimensions\*** | \[**0**, 1]                                              | If set to 0, the Widget will never try to change the Dimensions of the Container, even if no width/height is found. This may lead to inconsistent Layouts. If set to 1, nexxPLAY will automatically scale Player Height with **`aspectRatio`**, if necessary                  |
| **launchMode**                  | \[**window**, navigate, none]                            | If set to **`window`**, the Widget will try to open the Links of Click directly in a new Window. **`navigate`** will force the Widget to navgiate to the Page in the same Window. Both  is only possible, if nexxOMNIA can build the Links to the Media Items on the Backend. |
| **aspectRatio\***               | Float                                                    | Used, if **`adjustContainerDimensions`**&#x69;s set to 1 and no style.height Value is found.                                                                                                                                                                                  |
| **backgroundColor\***           | Hex                                                      | overrides the Background Color of the Widget                                                                                                                                                                                                                                  |
| **loaderSkin\***                | \[default, doublebounce, material, metro, ios]           | overrides the Loading Spinner Skin.                                                                                                                                                                                                                                           |
| **language**                    | String                                                   | The 2-Letter Code of the desired Language of the Media Metadata                                                                                                                                                                                                               |
| **userHash**                    | String                                                   | a valid User Reference Hash for personalized Results                                                                                                                                                                                                                          |

{% hint style="info" %}
Attributes, marked with a "**\***" are only usefull in a Web Environment and therefore not available for native Players.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://play.docs.nexx.cloud/widgets/widget-override-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
